
#include "Parser.h"
#include <stdlib.h>
#include <iostream>
#include <string>
#include <sstream>

using namespace std;


int  Parser::index = 0;

Parser::Parser()
{
    orokolt_cimkek = new std::stack<std::string>();
}


void Parser::szimbolumtablaba_feljegyez(string tipus, string nev)
{
    if (szimbolumtabla_valtozo.count(nev) != 0)
    {
        cerr << "Tobbszorosen deklaralt valtozo: " << nev << endl;
        exit(1);
    }

    szimbolumtabla_valtozo[nev] = tipus;
}



string Parser::azonosito_tipusa(string azonosito)
{
    if (szimbolumtabla_valtozo.count(azonosito) == 0)
    {
        cerr << "Ismeretlen valtozo: " << azonosito << endl;
        exit(1);
    }

    return szimbolumtabla_valtozo[azonosito];
}


void Parser::tipus_vizsgalat(string tipus1, string tipus2)
{
    cout << "; tipusvizsgalat: " << tipus1 << ", " << tipus2 << endl;
    if ( tipus1 != tipus2 )
    {
        cout << "; !!!!! Tipushiba: " << tipus1 << ", " << tipus2 << endl;
    }
}

string Parser::uj_cimke(string utotag)
{
    stringstream  s;
    s << "__c" << ++index << "_" << utotag;

    orokolt_cimkek->push(s.str());

    return s.str();
}


string Parser::cimket_atvesz()
{
    string s = orokolt_cimkek->top();
    orokolt_cimkek->pop();
    return s;
}

