
#ifndef __ALPROGRAM_LEIRO_H_
#define __ALPROGRAM_LEIRO_H_

#include <string>
#include <list>

typedef std::list<std::pair<std::string, std::string> > paramlist;
        // parameter tipusa, parameter neve

struct alprogram_leiro
{
    alprogram_leiro(
        std::string n,
        std::string vissza,
        std::list<std::pair<std::string, std::string> > par,
        std::string vege)
    {
        nev = n;
        visszateres = vissza;
        parameterek = par;
        vege_cimke = vege;
    }

    std::string nev;
    std::string visszateres;
    paramlist  parameterek;
    std::string vege_cimke;
};

#endif
