
#ifndef __KODGEN_H_
#define __KODGEN_H_

#include "Parser.h"
#include <map>
#include <string>
#include <stack>

#include "kifejezes_leiro.h"

class Parser;

class kodgenerator
{
public:
    enum felold { akku, adat };

    static void prologus();
    static void kod_prologus();
    static void kod_epilogus();

    static void konstans_deklaracio(atom_leiro konstans, std::string nev);
    static void kif_szamkonstans(atom_leiro leiro);
    static void valtozo_azon(atom_leiro* atom);
    static void ment_akku();
    static void tolt_adat();
    static void utasitas_ertekadas(std::string tipus);
    static void utasitas_kiir(std::string tipus);


    static const char tab;

    // 2
    static void valtozo_deklaracio(std::string tipus, std::string valtozo);

    // 3
    static void muvelet_plusz();
    static void muvelet_szorzas();

    // 4
    static int kovetkezo_index();
    static void kif_igaz();
    static void kif_hamis();
    static void muvelet_negacio();
    static void muvelet_konjunkcio();
    static void muvelet_diszjunkcio();

    static void cimket_elhelyez(std::string cimke);

    static void ugras_hamis_akku(std::string cimke);
    static void ugras_igaz_akku(std::string cimke);

    // 5
    static void ugras(std::string);

    static void muvelet_kisebb();
    static void muvelet_egyenlo();

    static void akku_felold(bool cim_szerint, std::string tipus, felold f);
};

#endif
